Debian Bug report logs - #735290
ITP: ruby-toml -- Toml handling library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Youhei SASAKI <uwabami@gfd-dennou.org>

Date: Tue, 14 Jan 2014 13:51:02 UTC

Owned by: Youhei SASAKI <uwabami@gfd-dennou.org>

Severity: wishlist

Fixed in version ruby-toml/0.1.0-1

Done: Axel Wagner <mero@merovius.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, uwabami@gfd-dennou.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#735290; Package wnpp. (Tue, 14 Jan 2014 13:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
New Bug report received and forwarded. Copy sent to uwabami@gfd-dennou.org, debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 14 Jan 2014 13:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-toml -- Toml handling library
Date: Tue, 14 Jan 2014 22:41:53 +0900
Package: wnpp
Owner: Youhei SASAKI <uwabami@gfd-dennou.org>
Severity: wishlist

* Package name    : ruby-toml
  Version         : 0.1.0
  Upstream Author : Jeremy McAnally, Drik Gadsden
* URL or Web page : https://github.com/jm/toml
* License         : MIT
  Description     : Toml library for Ruby

TOML aims to be a minimal configuration file format that's easy to read
due to obvious semantics. TOML is designed to map unambiguously to a
hash table. TOML should be easy to parse into data structures in a wide
variety of languages.

This library provides TOML parser for Ruby

---
Youhei SASAKI <uwabami@gfd-dennou.org>
              <uwabami@debian.or.jp>
GPG fingerprint:
  4096/RSA: 66A4 EA70 4FE2 4055 8D6A C2E6 9394 F354 891D 7E07



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug#735290; Package wnpp. (Sat, 25 Jan 2014 16:33:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Wagner <mero@merovius.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>. (Sat, 25 Jan 2014 16:33:45 GMT) Full text and rfc822 format available.

Message #10 received at 735290@bugs.debian.org (full text, mbox):

From: Axel Wagner <mero@merovius.de>
To: 735290@bugs.debian.org
Subject: Initial packaging
Date: Sat, 25 Jan 2014 17:10:56 +0100
Hi,

I have created some initial packaging at [1]. I created it with gem2deb
and encountered two issues:

• Upstream has a dependency on ruby-multi-json < 1.8. I think this is a
  stale dependency and reported it upstream (it builds and tests fine
  with 1.8.4)
• There appears to be an additional build-dependency on blankslate. I
  have not investigated this further yet.

Best,

Axel

[1] http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-toml.git;a=summary



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#735290; Package wnpp. (Sun, 26 Jan 2014 02:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 26 Jan 2014 02:18:04 GMT) Full text and rfc822 format available.

Message #15 received at 735290@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: Axel Wagner <mero@merovius.de>
Cc: 735290@bugs.debian.org
Subject: Re: Bug#735290: Initial packaging
Date: Sun, 26 Jan 2014 11:08:12 +0900
Hi Alex,

At Sat, 25 Jan 2014 17:10:56 +0100,
Axel Wagner <mero@merovius.de> wrote:
> I have created some initial packaging at [1]. I created it with gem2deb
> and encountered two issues:

Thanks for your work! I review your package and commit some fixes.
Please review them.

Best Wishes,
Youhei

---
Youhei SASAKI <uwabami@gfd-dennou.org>
              <uwabami@debian.or.jp>
GPG fingerprint:
  4096/RSA: 66A4 EA70 4FE2 4055 8D6A C2E6 9394 F354 891D 7E07



Reply sent to Axel Wagner <mero@merovius.de>:
You have taken responsibility. (Mon, 10 Feb 2014 16:03:17 GMT) Full text and rfc822 format available.

Notification sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug acknowledged by developer. (Mon, 10 Feb 2014 16:03:17 GMT) Full text and rfc822 format available.

Message #20 received at 735290-close@bugs.debian.org (full text, mbox):

From: Axel Wagner <mero@merovius.de>
To: 735290-close@bugs.debian.org
Subject: Bug#735290: fixed in ruby-toml 0.1.0-1
Date: Mon, 10 Feb 2014 16:00:08 +0000
Source: ruby-toml
Source-Version: 0.1.0-1

We believe that the bug you reported is fixed in the latest version of
ruby-toml, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 735290@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Wagner <mero@merovius.de> (supplier of updated ruby-toml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 25 Jan 2014 15:54:38 +0100
Source: ruby-toml
Binary: ruby-toml
Architecture: source all
Version: 0.1.0-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Axel Wagner <mero@merovius.de>
Description: 
 ruby-toml  - TOML Parser library for Ruby
Closes: 735290
Changes: 
 ruby-toml (0.1.0-1) unstable; urgency=medium
 .
   * Initial release (Closes: #735290)
Checksums-Sha1: 
 7b17fafb0e9b959a718a0c8ad53a00c9b4dd3402 2073 ruby-toml_0.1.0-1.dsc
 d8420c5e1f32a925ee6c83232b33b2895c9e7c53 11228 ruby-toml_0.1.0.orig.tar.gz
 de468ee7c7eafa0bff41fd452cbbfc5bb92d22f2 3012 ruby-toml_0.1.0-1.debian.tar.xz
 28a415208418950648c59dc3f22170e4c1d9b999 7740 ruby-toml_0.1.0-1_all.deb
Checksums-Sha256: 
 517934e4e9881a671bdc63e98990f8b52c650adb5b8b8c8d2aae1afb6dd69699 2073 ruby-toml_0.1.0-1.dsc
 21130d435b4e7a7f1d5d29ccb4633f6dd5fac68be525317ca3c530eee648ffdb 11228 ruby-toml_0.1.0.orig.tar.gz
 6328ec5fbe81380efc27f77b7633244d5cbc5a0c880f1a6500126d09d6cb89f1 3012 ruby-toml_0.1.0-1.debian.tar.xz
 926a36d5a7793c9c938ff1ae6a5029ddcedbac939532e54aaa4d08775b13d954 7740 ruby-toml_0.1.0-1_all.deb
Files: 
 7d2e2ecd5cfeeb34748810a4413cdae2 2073 ruby optional ruby-toml_0.1.0-1.dsc
 4950c22dcc2b71f1974712e13becb232 11228 ruby optional ruby-toml_0.1.0.orig.tar.gz
 60f446497e3c2a69c48921063f9fd11b 3012 ruby optional ruby-toml_0.1.0-1.debian.tar.xz
 b65ab10846727a9f821b1957af57a4f5 7740 ruby optional ruby-toml_0.1.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS9SRbAAoJEHg5YZ3UOWaOu6kQAJVYLuv/9WKIxTYapVvmLy7/
rczPxTYHLbIRyYbgV8LiDW8pK4Zjp7EQ8oeG29OYGzyHy1s1gZE1TV+Mf8zTOuFt
/ae3l20cDYOZvLnxurTkTOpTnWXsGOVbNEQACa446VQQXbvCJfb7RkhNLLMJO6NV
k84VVm6aJ7Tq9P16DHehwJymZhwfLyHhtzyXe5dk0gdDO2ZBSXUd+T8vMOUD2ZrB
hNw2+wcU3DWzbxJw8Cfv2Z1qhOUawfjeadY749vhdECMTyHYhibCdzl7JRV9aUhF
lyzskdiFbXqBnEkzLQM5wMRWpSsxm5X7D3i5a5SL+MBFKTAAYwBl3z3OvMqiuAGE
IHzuec8o/e/L631SgOnx8gyh88tDYYdinQtX5+p4s4GGPxasPSes2KZtueYnIM5B
l+TLccFaO4Koq882vtnMEXgSwtHIV83EE5n1iUVvHZjvfQiYpjo7sl0r05vfsGvW
YFdDXmRuW/Z6+P6R4Gak1529SluZFQPg3zvjxR+LPzAqdtNoWGmbXqamv9ZeM2bC
hVze0c+EeIKxy4PEBFDi3kHAVDbLBpo7DAe5rfPS1aFzMx880V+pMV/wQmk6aV8N
Q73zVs1zq2ak/6Qfs5Z3aWf6aYJKnkGaiEA7EWXQWiFAc2Xg5RDXuhvfdxEgtfMv
g95pa/bE8F5HNNGIpJJZ
=nf65
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Mar 2014 07:37:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:45:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.